// Шатрын хөлөгний 2 буудал координатаараа өгөгдөв. 
//(Буудлын координат гэдэг нь багана болон нүдний дугаарыг илтгэх 1-ээс 8 хүртэлх хоёр тоо.) 
// Шатрын хөлөгний өгөгдсөн хоёр буудал ижил өнгөтэй юу. Тийм бол “YES", үгүй бол “NO" гэж хэвлэ.  
#include <iostream>
#include <cmath>
#include <iomanip>
using namespace std;
int main(){
    int a, b, c, d;
    cin >> a >> b >> c >> d;
    if (((a + b) % 2 == 0 && (c + d) % 2 == 0) || ((a + b) % 2 == 1 && (c + d) % 2 == 1) )
    {
        cout<< "YES" << endl;
    }
    else{
        cout << "NO" << endl;
    }
    
    return 0; 
}